Get policy version
curl --request GET \
--url https://softmax.com/api/observatory/stats/policy-versions/{policy_version_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/stats/policy-versions/{policy_version_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/stats/policy-versions/{policy_version_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"policy_created_at": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"is_softmax_team_member": true,
"discord_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"owner_coworld_name": "<string>",
"tags": {},
"attributes": {},
"internal_id": 123,
"container_image_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Policies
Get policy version
Returns one policy version visible to the caller.
GET
/
stats
/
policy-versions
/
{policy_version_id}
Get policy version
Authorizations
Bearer token issued by Softmax
Path Parameters
Policy version to return.
Response
Successful Response
User who owns this resource, or null for a Coworld-owned resource.
Policy version ID.
Policy that contains this version.
Name of the policy.
Version number within the policy.
Time when the version was created.
Time when the parent policy was created.
Public details for the owning user.
Show child attributes
Show child attributes
Coworld that owns this resource, or null for a user-owned resource.
Owner-supplied tags keyed by tag name.
Show child attributes
Show child attributes
Runtime and packaging metadata for the version.
Internal numeric ID, when visible to the caller.
Container image used by this version, when visible to the caller.